package com.ss.android.ugc.aweme.ml.infra;

import X.3ds;
import X.C0697RQv;
import X.C0698RQw;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.ml.ab.OnePlaytimePredictConfig;

public interface ISmartPlaytimePredictService {
    static {
        Covode.recordClassIndex(93008);
    }

    void checkAndInit();

    void configOneNewService(OnePlaytimePredictConfig onePlaytimePredictConfig);

    boolean enable(String str);

    void ensureEnvAvailable(String str);

    void predict(String str, C0698RQw rQw, 3ds r3, C0697RQv rQv);
}
